{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.PHONE"
  },
  "caption" : "视图消息编辑视图",
  "codeName" : "phoneUsr04088796EditView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneUsr04088796EditView.json",
  "name" : "phoneUsr04088796EditView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewMsgGroup" : {
    "modelref" : true,
    "id" : "VMGroup2"
  },
  "getPSDEViewCodeName" : "Usr04088796EditView",
  "getPSDEViewId" : "28C7F43A-FF88-441E-BB5B-2FB2B26E7004",
  "getPSViewLayoutPanel" : {
    "codeName" : "Usr0408694677",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "Usr04088796EditView编辑视图布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "视图消息占位",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "viewmsg_pos1",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSRawItem" : {
        "name" : "viewmsg_pos1",
        "getPSRawItemParams" : [ {
          "key" : "POSITION",
          "value" : "TOP"
        }, {
          "key" : "SCROLL",
          "value" : "true"
        } ],
        "predefinedType" : "VIEWMSG_POS"
      },
      "showCaption" : true
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_header",
      "getPSLayout" : {
        "align" : "space-between",
        "dir" : "row",
        "layout" : "FLEX",
        "vAlign" : "center"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header_left",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_captionbar",
          "getPSLayout" : {
            "align" : "center",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "页面标题",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "captionbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header_right",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_toolbar",
          "getPSLayout" : {
            "align" : "center",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "工具栏",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "toolbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      } ],
      "predefinedType" : "VIEWHEADER"
    }, {
      "caption" : "视图消息占位",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "viewmsg_pos",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSRawItem" : {
        "name" : "viewmsg_pos",
        "getPSRawItemParams" : [ {
          "key" : "POSITION",
          "value" : "BODY"
        } ],
        "predefinedType" : "VIEWMSG_POS"
      },
      "showCaption" : true
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_content",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : 1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "表单",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "form",
        "getPSLayoutPos" : {
          "grow" : 1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ],
      "predefinedType" : "VIEWCONTENT"
    }, {
      "caption" : "视图消息占位",
      "itemStyle" : "DEFAULT",
      "itemType" : "RAWITEM",
      "name" : "viewmsg_pos2",
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSRawItem" : {
        "name" : "viewmsg_pos2",
        "getPSRawItemParams" : [ {
          "key" : "POSITION",
          "value" : "BOTTOM"
        } ],
        "predefinedType" : "VIEWMSG_POS"
      },
      "showCaption" : true
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "923573DF-BA6E-4C01-A325-D9109201C584",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSAppViewEngines" : [ {
      "engineCat" : "VIEW",
      "engineType" : "EditView",
      "name" : "engine"
    } ],
    "getPSControls" : [ {
      "codeName" : "Usr04088796EditViewtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "视图消息编辑视图_工具栏",
      "name" : "toolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlParam" : {
        "id" : "TOOLBAR"
      },
      "xDataControlName" : "form",
      "modelid" : "4EA05EFD-4B7E-4429-8DB7-9144B6604701",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "codeName" : "Usr04088796EditView_Form",
      "controlType" : "FORM",
      "getCreatePSControlAction" : {
        "modelref" : true,
        "id" : "create",
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSFORMS/Usr04088796EditView_Form.json",
      "getGetDraftFromPSControlAction" : {
        "modelref" : true,
        "id" : "loaddraftfrom",
        "actionName" : "GETDRAFTFROM",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraftfrom",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "getGetDraftPSControlAction" : {
        "modelref" : true,
        "id" : "loaddraft",
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "getGetPSControlAction" : {
        "modelref" : true,
        "id" : "load",
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "logicName" : "视图消息编辑视图_表单",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "GETDRAFTFROM",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraftfrom",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "编辑表单处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "FORM"
      },
      "getPSDEFormItems" : [ {
        "id" : "srfupdatedate",
        "hidden" : true,
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "id" : "srforikey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfkey",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        }
      }, {
        "id" : "srfmajortext",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "PHONENAME",
          "codeName" : "PhoneName"
        }
      }, {
        "id" : "srftempmode",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfuf",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfdeid",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "srfsourcekey",
        "hidden" : true,
        "dataType" : 25
      }, {
        "id" : "phonename",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "PHONENAME",
          "codeName" : "PhoneName"
        }
      }, {
        "id" : "createman",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        }
      }, {
        "id" : "createdate",
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        }
      }, {
        "id" : "updateman",
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        }
      }, {
        "id" : "updatedate",
        "dataType" : 5,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "id" : "phoneid",
        "hidden" : true,
        "dataType" : 25,
        "getPSAppDEField" : {
          "name" : "PHONEID",
          "codeName" : "PhoneId"
        }
      } ],
      "getPSDEFormPages" : [ {
        "caption" : "基本信息",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage1",
        "getPSDEFormDetails" : [ {
          "caption" : "手机基本信息",
          "codeName" : "group1",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "group1",
          "getPSDEFormDetails" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.PHONENAME"
            },
            "caption" : "手机名称",
            "codeName" : "phonename",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 0,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "phonename",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "PHONENAME",
              "codeName" : "PhoneName"
            },
            "getPSEditor" : {
              "editorType" : "TEXTBOX",
              "maxLength" : 200,
              "name" : "phonename"
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        }, {
          "getCapPSLanguageRes" : {
            "lanResTag" : "DEF.LNAME.PHONEID"
          },
          "caption" : "手机标识",
          "codeName" : "phoneid",
          "dataType" : 25,
          "detailStyle" : "DEFAULT",
          "detailType" : "FORMITEM",
          "enableCond" : 3,
          "ignoreInput" : 0,
          "labelPos" : "LEFT",
          "labelWidth" : 130,
          "name" : "phoneid",
          "noPrivDisplayMode" : 1,
          "getPSAppDEField" : {
            "name" : "PHONEID",
            "codeName" : "PhoneId"
          },
          "getPSEditor" : {
            "editorType" : "HIDDEN",
            "name" : "phoneid"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "allowEmpty" : true,
          "hidden" : true,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      }, {
        "caption" : "其它",
        "codeName" : "formpage2",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage2",
        "getPSDEFormDetails" : [ {
          "caption" : "操作信息",
          "codeName" : "group2",
          "detailStyle" : "DEFAULT",
          "detailType" : "GROUPPANEL",
          "name" : "group2",
          "getPSDEFormDetails" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.CREATEMAN"
            },
            "caption" : "建立人",
            "codeName" : "createman",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "createman",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "CREATEMAN",
              "codeName" : "CreateMan"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "createman",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
              },
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "convertToCodeItemText" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.CREATEDATE"
            },
            "caption" : "建立时间",
            "codeName" : "createdate",
            "dataType" : 5,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "createdate",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "CREATEDATE",
              "codeName" : "CreateDate"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "createdate",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "valueFormat" : "YYYY-MM-DD HH:mm:ss",
            "allowEmpty" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.UPDATEMAN"
            },
            "caption" : "更新人",
            "codeName" : "updateman",
            "dataType" : 25,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "updateman",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "UPDATEMAN",
              "codeName" : "UpdateMan"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "updateman",
              "getPSAppCodeList" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
              },
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "allowEmpty" : true,
            "convertToCodeItemText" : true,
            "showCaption" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "DEF.LNAME.UPDATEDATE"
            },
            "caption" : "更新时间",
            "codeName" : "updatedate",
            "dataType" : 5,
            "detailStyle" : "DEFAULT",
            "detailType" : "FORMITEM",
            "enableCond" : 3,
            "ignoreInput" : 3,
            "labelPos" : "LEFT",
            "labelWidth" : 130,
            "name" : "updatedate",
            "noPrivDisplayMode" : 1,
            "getPSAppDEField" : {
              "name" : "UPDATEDATE",
              "codeName" : "UpdateDate"
            },
            "getPSEditor" : {
              "editorType" : "SPAN",
              "name" : "updatedate",
              "enableLinkView" : false
            },
            "getPSLayoutPos" : {
              "colMD" : 24,
              "layout" : "TABLE_24COL"
            },
            "valueFormat" : "YYYY-MM-DD HH:mm:ss",
            "allowEmpty" : true,
            "showCaption" : true
          } ],
          "getPSLayout" : {
            "childColLG" : -1,
            "childColMD" : 24,
            "childColSM" : -1,
            "childColXS" : -1,
            "columnCount" : 24,
            "layout" : "TABLE_24COL"
          },
          "getPSLayoutPos" : {
            "colMD" : 24,
            "layout" : "TABLE_24COL"
          },
          "infoGroupMode" : false,
          "showCaption" : true
        } ],
        "getPSLayout" : {
          "childColLG" : -1,
          "childColMD" : 24,
          "childColSM" : -1,
          "childColXS" : -1,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getRemovePSControlAction" : {
        "modelref" : true,
        "id" : "remove",
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "tabHeaderPos" : "TOP",
      "getUpdatePSControlAction" : {
        "modelref" : true,
        "id" : "update",
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        }
      },
      "noTabHeader" : false,
      "name" : "form",
      "modelid" : "C4096591-1BB4-4BD1-8FE4-4F9CB848A065",
      "modeltype" : "PSDEFORM_EDITFORM"
    }, {
      "codeName" : "Usr04088796EditViewdatainfobar",
      "controlType" : "DATAINFOBAR",
      "name" : "datainfobar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlParam" : {
        "id" : "datainfobar"
      }
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DE.LNAME.PHONE"
      },
      "caption" : "视图消息编辑视图",
      "codeName" : "Usr04088796EditViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "视图消息编辑视图",
  "viewStyle" : "DEFAULT",
  "viewType" : "DEEDITVIEW",
  "xDataControlName" : "form",
  "enableDP" : true,
  "showDataInfoBar" : true,
  "modelid" : "929b6a0f3bf9a9b2ce94e1d462cd43a0",
  "modeltype" : "PSAPPDEVIEW"
}